Package org.apache.sling.commons.metrics

# Interface Metric

All Known Subinterfaces:
  `Counter`, `Histogram`, `Meter`, `Timer`

@ProviderType public interface Metric

## Method Summary

Modifier and Type
Method
Description
`<A> A`
`adaptTo(Class<A> type)`
Adapts the Metric to the specified type.

## Method Details

### adaptTo

<A> A adaptTo(Class<A> type)
Adapts the Metric to the specified type.

Type Parameters:
  `A` - The type to which this metric is to be adapted.
Parameters:
  `type` - Class object for the type to which this metric is to be adapted.
Returns:
  The object, of the specified type, to which this metric has been adapted or null if this metric cannot be adapted to the specified type.